package com.chenyang.nse.bussiness.entity.orm.table.core.desensitizationtask;

import com.chenyang.nse.bussiness.entity.orm.table.TBaseEntity;
import java.math.BigInteger;
import java.util.Date;
import javax.persistence.Entity;
import javax.persistence.Index;
import javax.persistence.Table;
import javax.persistence.Transient;

@Entity
@Table(
   name = "DESENSITIZATION_MONITOR",
   indexes = {@Index(
   name = "monitor_sourcename_Index",
   columnList = "sourcename"
), @Index(
   name = "monitor_taskid_Index",
   columnList = "taskid"
)}
)
public class DesensitizationMonitor extends TBaseEntity {
   private String taskid;
   @Transient
   private String tasknamereal;
   private String tasktype;
   private String sourcename;
   private String targetname;
   private Date executetime;
   private int runstatus;
   private String runid;
   private BigInteger groupid;
   private String isimport;

   public String getTaskid() {
      return this.taskid;
   }

   public String getIsimport() {
      return this.isimport;
   }

   public void setIsimport(String isimport) {
      this.isimport = isimport;
   }

   public void setTaskid(String taskid) {
      this.taskid = taskid;
   }

   public String getTasknamereal() {
      return this.tasknamereal;
   }

   public void setTasknamereal(String tasknamereal) {
      this.tasknamereal = tasknamereal;
   }

   public String getTasktype() {
      return this.tasktype;
   }

   public void setTasktype(String tasktype) {
      this.tasktype = tasktype;
   }

   public String getSourcename() {
      return this.sourcename;
   }

   public void setSourcename(String sourcename) {
      this.sourcename = sourcename;
   }

   public String getTargetname() {
      return this.targetname;
   }

   public void setTargetname(String targetname) {
      this.targetname = targetname;
   }

   public Date getExecutetime() {
      return this.executetime;
   }

   public void setExecutetime(Date executetime) {
      this.executetime = executetime;
   }

   public int getRunstatus() {
      return this.runstatus;
   }

   public void setRunstatus(int runstatus) {
      this.runstatus = runstatus;
   }

   public String getRunid() {
      return this.runid;
   }

   public void setRunid(String runid) {
      this.runid = runid;
   }

   public BigInteger getGroupid() {
      return this.groupid;
   }

   public void setGroupid(BigInteger groupid) {
      this.groupid = groupid;
   }

   public String toString() {
      return "DesensitizationMonitor [taskid=" + this.taskid + ", tasktype=" + this.tasktype + ", sourcename=" + this.sourcename + ", targetname=" + this.targetname + ", executetime=" + this.executetime + ", runstatus=" + this.runstatus + ", runid=" + this.runid + ", groupid=" + this.groupid + ", isimport=" + this.isimport + "]";
   }
}
